# Get ULightHost List - DescribeULHostInstance

## Overview

Get ULightHost List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeULHostInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ULHostIds.N** | string | [Array] ULightHost ID. |No|
| **Offset** | int | List start position offset, default is 0 |No|
| **Limit** | int | Return data length, default is 20, maximum 100 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **ULHostInstanceSets** | array[[*ULHostInstanceSet*](#ulhostinstanceset)] | Instance List |**Yes**|

#### Data Model


#### ULHostInstanceSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone. |No|
| **ULHostId** | string | Instance Id. |No|
| **Name** | string | Instance name. Default package Id |No|
| **Tag** | string | Business Group. |No|
| **Remark** | string | Note. |No|
| **ImageId** | string | Image Id. |No|
| **ImageName** | string | Image Name. |No|
| **Apps** | array[string] | [Array] The list of applications included in the image. |No|
| **CPU** | int | Number of CPU cores. |No|
| **Memory** | int | Memory. Unit: MB |No|
| **State** | string | Instance status. Enumerated values: <br /><br /> >Initializing: Initializing; <br /><br /> >Starting: Starting; <br /><br />> Running: Running; <br /><br />> Stopping: Stopping; <br /><br /> >Stopped: Stopped <br /><br /> >Install Fail: Install Fail; <br /><br /> >Rebooting: Rebooting; <br /><br /> > Unknown (empty string, status acquisition timeout or error): |No|
| **ChargeType** | string | Billing Mode. Enumerated values: Month/Year |No|
| **IPSet** | array[[*UHostIPSet*](#uhostipset)] | IP Information |No|
| **DiskSet** | array[[*ULHostDiskSet*](#ulhostdiskset)] | Disk Information |No|
| **EIPExclusiveUTPInfo** | [*ExclusiveUTPInfo*](#exclusiveutpinfo) | Traffic Package Details |No|
| **AutoRenew** | string | Whether to renew automatically. Enumerated values: Yes/No |No|
| **IsExpire** | string | Is it expired. Enumeration value: Yes/No |No|
| **ExpireTime** | int | Expiration time. Unix timestamp. |No|
| **CreateTime** | int | Creation Time. Unix Timestamp. |No|

#### UHostIPSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **IPMode** | string | IPv4/IPv6 |**Yes**|
| **Default** | string | Under the Private type of the internal network, it indicates whether it is the default network card. true: it is the default network card; other values: no. |No|
| **Mac** | string | Under the Private type of Intranet, the current network card's Mac. |No|
| **Weight** | int | The current weight of the EIP. The one with the highest weight is the current exit IP. |No|
| **Type** | string | International: International, BGP: Bgp, Private Network: Private |No|
| **IPId** | string | Public IP Resource ID. (Internal IP does not have a corresponding Resource ID) |No|
| **IP** | string | IP Address |No|
| **Bandwidth** | int | Bandwidth corresponding to the IP, unit: Mb (Bandwidth information is not displayed for internal IP) |No|
| **VPCId** | string | The VPC ID corresponding to the IP address. (Not supported in Beijing 1, the field returns empty) |No|
| **SubnetId** | string | The subnet ID corresponding to the IP address. (Not supported in Beijing 1, the field will return empty) |No|
| **NetworkInterfaceId** | string | When the elastic network card is the default network card, return the corresponding ID value. |No|

#### ULHostDiskSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **DiskId** | string | Disk Id |No|
| **DiskType** | string | Disk type. Such as: "CLOUD_RSSD", "CLOUD_SSD". |No|
| **Type** | string | Disk Type. System Disk: "Boot"; Data Disk: "Data". |No|
| **Size** | int | Disk size. Unit: GB |No|
| **IsBoot** | string | Is it a system disk. Yes: "True"; No: "False". |No|
| **Drive** | string | Disk drive letter. System disk: "vda". |No|

#### ExclusiveUTPInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **TotalSize** | int | Total Traffic for Current Period |No|
| **AvailableSize** | int | Remaining traffic for the current period |No|
| **UsedSize** | int | Current period data usage |No|
| **ExcessSize** | int | Traffic exceeding the limit for the current period |No|
| **LastResetTime** | int | Last Reset Time |No|
| **NextResetTime** | int | Next Reset Time |No|
| **CreateTime** | int | Create Time |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeULHostInstance
&Region=cn-zj
&ProjectId=aoPMNqqb
&ULHostIds.N=YTKcvmGV
&Offset=7
&Limit=9
```

### Response Example
    
```json
{
  "Action": "DescribeULHostInstanceResponse",
  "Message": "GmrflzlM",
  "RetCode": 0,
  "ULHostInstanceSets": [
    {
      "AutoRenew": "PyPNLqBH",
      "CPU": 1,
      "ChargeType": "hauEukUs",
      "CreateTime": 7,
      "DiskSet": [
        {
          "BackupType": "xHWomUhO",
          "DiskId": "MWvyrUwR",
          "DiskType": "IRrEynyl",
          "Drive": "RvmLbdKX",
          "Encrypted": "cNyCMNmT",
          "IsBoot": "tvSzSraj",
          "Name": "vsfpLPyr",
          "Size": 3,
          "Type": "UkyaHXBR"
        }
      ],
      "ExpireTime": 5,
      "IPSet": [
        {
          "Bandwidth": 2,
          "Default": "AnzSfoBi",
          "IP": "EOmBPJZd",
          "IPId": "vnrKbtka",
          "IPMode": "pWfqUmBy",
          "Mac": "DggLGvKF",
          "NetworkInterfaceId": "oTgcJktO",
          "SubnetId": "RfEGLEoc",
          "Type": "BVSGfRvP",
          "VPCId": "lrFLnZeF",
          "Weight": 9
        }
      ],
      "IsExpire": "dQxEsaLW",
      "Memory": 7,
      "Name": "jsqzqDEj",
      "Remark": "tJoNHAEH",
      "State": "CagCpoZQ",
      "Tag": "zQppWJxb",
      "ULHostId": "hcquybJV"
    }
  ]
}
```





